Name: potracegui
Version: 1.2
Release: alt1.1

Summary: Potracegui is a GUI interface for potrace
Summary(ru_RU.KOI8-R): Potracegui --    potrace
Group: Graphics
License: GPL
Url: http://%name.sourceforge.net/

Source: %name-%version.tar.bz2

Requires: potrace

BuildPreReq: menu-devel

# Automatically added by buildreq on Thu Dec 02 2004
#BuildRequires: fontconfig freetype2 gcc-c++ gcc-g77 kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xml-utils xorg-x11-devel-static xorg-x11-libs zlib-devel
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xml-utils  zlib-devel

%description
Potracegui is a GUI interface for potrace, a great program for tracing
bitmapped images. It really doesn't do much, all the dirt work is done
by potrace, Potracegui is simply an interface: it collects informations
in an easy way and then it launches potrace with all the relevant
options. Potrace, on the contrary, is a great app for tracing so that
they can be scaled, rotated, and transformed in general, without loss of
quality.

%define qtdir %_libdir/qt3

%prep
%setup -q
%__subst 's,\.la,.so,' configure* admin/acinclude.m4*
# put .desktop file in proper location
%__subst 's,\(shelldesktopdir.*= \).*$,\1$(datadir)/applications,' src/Makefile.am

%build
export QTDIR=%qtdir
export PATH=%qtdir/bin:$PATH

%make -f admin/Makefile.common
%configure --disable-rpath
%make_build 

%install
%makeinstall

# menu
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Multimedia/Graphics" \
    %buildroot/%_datadir/applications/%name.desktop \
    %buildroot/%_menudir/%name

%__cp %buildroot%_iconsdir/hicolor/16x16/apps/%name.png %buildroot%_iconsdir/

%find_lang --with-kde %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/apps/%name
%_datadir/applications/*
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_menudir/*
%doc AUTHORS ChangeLog README TODO NEWS

%changelog
* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.2-alt1.1
- Rebuilt with libstdc++.so.6.

* Wed Dec 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2-alt1
- 1.2

* Thu Dec 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1-alt1
- First build for Sisyphus.
